0.1 News in 10.0
================

   * Disabled `LaTeX-hide-environment'.  Suggested by Christopher Allen
     <cpcallen@ruah.dyndns.org>.

   * Changed default to lazy evaluation of `TeX-view-style' and
     `LaTeX-command-style'.  Suggested by Peter Neergaard
     <turtle@cs.bu.edu>.

   * Backindent when brace is at the start of a line.  Patch by Masashi
     Shimbo <shimbo@cis.ibaraki.ac.jp>.

   * Added Emacs 21 font lock support.

   * `,' and `.' no longer removes italic correction.

   * `graphicx' and `graphics' style support.  Donated by Ryuichi
     Arafune <arafune@ushioda.riec.tohoku.ac.jp>.

   * `LaTeX-math-abbrev-prefix' now accepts vector value.  Reported by
     Jan Vroonhof <vroonhof@math.ethz.ch>.

   * Improved Texinfo support(more environments and html).  Patch by
     Akim Demaille <akim@epita.fr>.

   * `danish' quotes support.  Suggested by arne@daimi.au.dk (Arne
     Joergensen).

   * Some PDF support.

   * New `tex-mik.el' file for MikTeX support.

   * Some commands now have their own history.  Suggested by Werner
     LEMBERG <sx0005@sx2.HRZ.Uni-Dortmund.DE>.

   * Use `\centering' instead of center environment in figures.  Patch
     by Stefan Monnier <foo@acm.com>.

   * New `dwim' setting for `TeX-master' attempts to guess a default
     master for new files.  Patch by Stefan Monnier <foo@acm.com>.

   * `ngerman' style support.  Just a copy of the german style support.

   * Removed support for Emacs 18 and 19.

   * `mdwlist' support.  Patch by Stephen Heilbronner
     <heilbron@nm.informatik.uni-muenchen.de>.

   * Fixed various bugs with the babel package.

   * `amsart' and `amsbook' now loads `amsthm' by default.  Patch by
     Rune Kleveland <runekl@math.uio.no>.

   * Fixed bug with file searching.  Reported by Berwin Turlach
     <bturlach@maths.adelaide.edu.au>.

   * Finalized index support, added index-related style files.  Patch
     by Carsten Dominik <dominik@strw.leidenuniv.nl>.

   * New style files for `varioref.sty' and `fancyref.sty'.  Patch by
     Carsten Dominik <dominik@strw.leidenuniv.nl>.

   * `texmathp' recognizes additional macros like `\fbox'.  Patch by
     Ulrik Vieth <vieth@thphy.uni-duesseldorf.de>.


0.2 News in 9.9
===============

   * Bug fix in JLATEX recognition.  Patch by Tsutomu OKUMURA
     <oku@nml.t.u-tokyo.ac.jp>.

   * Bug fix in foils package sypport.  Suggested by Bernt
     Guldbrandtsen <bernt@jupiter.ansci.iastate.edu>.

   * Made `make install-contrib' compile the contributed lisp files.
     Suggested by Nils Ackermann <Nils.Ackermann@math.uni-giessen.de>.

   * In `texinfo-mode', `C-c C-f C-d' now deletes the current font,
     while `C-u C-c C-f KEY' changes it.  `@dfn' moved to `C-c C-f d'.
     Suggested by Christoph Wedler <wedler@fmi.uni-passau.de>.

   * Fixed some custom types.  Patch by Markus Rost
     <markus.rost@mathematik.uni-regensburg.de>.

   * Support loading byte compiled files, even if `TeX-byte-compile' is
     nil.  Patch by Christoph Wedler  <wedler@fmi.uni-passau.de>.

   * The command to replace a LaTeX2e font should work more reliably
     now.  Patch by Christoph Wedler  <wedler@fmi.uni-passau.de>.

   * Minor XEmacs packaging changes.  Patch by Christoph Wedler
     <wedler@fmi.uni-passau.de>.

   * `TeX-file-recurse' now accepts an integer value, max depth of
     recursion.  Patch by Alastair Burt  <burt@dfki.bde>.

   * Simple imenu support for LaTeX.

   * Workaround for 20.3 bugs.

   * The `Spell' command now works on all open buffers in the document.
     Patch by Jason Stewart <jasons@cs.unm.edu>.

   * `C-c C-m' now puts content of region inside first empty brackets
     in the macro, if any.  Patch by Peter Thiemann <pjt@cs.nott.ac.uk>.

   * Update of `natbib.el' style file by Carsten Dominik
     <dominik@strw.LeidenUniv.nl>.

   * Much better detection of TeX math mode.  Patch by Carsten Dominik
     <dominik@strw.LeidenUniv.nl>.

   * New `%n' escape in `TeX-command-list' for entering the current
     line number.  Suggested by "Lee, Sang-Min"
     <smagus@acorn.snu.ac.kr>.

   * Doc fixes in manual.  Patch by Gustavo Chaves
     <gustavo@cpqd.com.br>.

   * Better reftex support for sections.  Patch by Carsten Dominik
     <dominik@strw.LeidenUniv.nl>.

   * Bug fixes in math card.  Reported by "Ron Smith"
     <rsmith@eel.ufl.edu>.

   * Better multifile support.  Patch by Soren Dayton
     <csdayton@cs.uchicago.edu>.

   * Don't expand abbreviations when `abbrev-mode' is nil.  Suggested
     by Alastair Burt <alastair.burt@dfki.de>.

   * `direntry' support in manual, by SL Baur <steve@altair.xemacs.org>.

0.3 News in 9.8
===============

   * Added `natbib.el' to support natbib.sty by Patrick W. Daly.
     Submitted by Berwin A. Turlach `<berwin.turlach@anu.edu.au>'.

   * More LaTeX2e support by Jan Vroonhof `<vroonhof@math.ethz.ch>'.

   * Make `TeX-master' a local variable in BibTeX mode and set it to
     true.  This seems to be necessary to enable auto-parsing of a .bib
     file.  Patch by Berwin A. Turlach `<berwin.turlach@anu.edu.au>'.

   * Support for Harvard style updated by Berwin A. Turlach
     `<berwin.turlach@anu.edu.au>'.

   * Support for `natbib' package.  By Berwin Turlach
     `<berwin.turlach@anu.edu.au>'.

   * Finer control of automatic parsing of TeX files: new variables
     `TeX-auto-x-parse-length' and `TeX-auto-x-regexp-list'.  By
     Christoph Wedler `<wedler@fmi.uni-passau.de>'.

   * Finer control of indentation: new variables
     `LaTeX-document-regexp', `LaTeX-verbatim-regexp',
     `LaTeX-begin-regexp', `LaTeX-end-regexp' and
     `LaTeX-indent-comment-start-regexp'.  By Christoph Wedler
     `<wedler@fmi.uni-passau.de>'.

   * When running LaTeX on a region, do not complain about undefined
     citations.  See variable `TeX-region-extra'.  By Christoph Wedler
     `<wedler@fmi.uni-passau.de>'.

   * Split menu for LaTeX environments into submenus if number of
     environments is larger than the value of the new variable
     `LaTeX-menu-max-items'.  By Christoph Wedler
     `<wedler@fmi.uni-passau.de>'.

   * More reftex support with new `TeX-arg-ref' function.  By Soren
     Dayton `<csdayton@cs.uchicago.edu>', with `amsmath' support by
     Carsten Dominik `<dominik@strw.LeidenUniv.nl>'.

   * Minimal parser now recognize `usepackage'.  By Carsten Dominik
     `<dominik@strw.LeidenUniv.nl>'.

   * More amstex styles recognized.  By Carsten Dominik
     `<dominik@strw.LeidenUniv.nl>'.

   * Czech and Slovak support.  By Milan Zamazal `<pdm@fi.muni.cz>'.


0.4 News in 9.7
===============

   * Added support for customize.

   * Added minimal support for `sentence-end-double-space'.


0.5 News in 9.6
===============

   * NT installation instructions added.

   * `func-doc.el' unbundled, as `word-help.el' will be added to the
     standard Emacs distribution.  See
     `http://www.ifi.uio.no/~jensthi/'.

   * `$' is now of the syntax class `matched pair', suggested by Mats
     Bengtsson `<matsb@s3.kth.se>'.

   * Now use `,' to enter multiple arguments to a `\cite' or
     `\bibliography' command instead of `<ret>'.

   * Installation procedure is changed, read the `INSTALLATION' file.

   * LaCheck is unbundled.  You can get `lacheck' from
     `<URL:ftp://sunsite.dk/pub/text/lacheck/>' or alternatively
     `chktex' from `<URL:ftp://ftp.dante.de/pub/tex/support/chktex/>'.
     Search for `chktex' in `tex.el' to see how to switch between them.

   * Insert `(require 'font-latex)' to get better font lock support.

   * Bug fixes.

   * Better handling of subdirectories, suggested by Frederic Devernay
     `<Frederic.Devernay@sophia.inria.fr>' and many others.

0.6 News in 9.5
===============

   * Use the `func-doc.el' package to get context senstive help.  This
     is not autoloaded, you must load it explicitly with:

          (require 'func-doc)

   * Bug fixes.


0.7 News in 9.4
===============

   * There is now a menu in `LaTeX-math-minor-mode'.

   * Bug fixes.

0.8 News in 9.3
===============

   * Bug fixes.

0.9 News in 9.2
===============

   * Bug fixes.

   * New file `bib-cite.el' contributed by Peter S. Galbraith
     `<rhogee@bathybius.meteo.mcgill.ca>'.  This file is not installed
     or enabled by default and is not part of the basic AUC TeX
     package. If you have problems, questions, or suggestions, please
     direct them to Peter.

   * New file `hilit-LaTeX.el' contributed by Peter S. Galbraith
     `<rhogee@bathybius.meteo.mcgill.ca>'.  This file is not installed
     or enabled by default and is not part of the basic AUC TeX
     package. If you have problems, questions, or suggestions, please
     direct them to Peter.

   * AUC TeX is now less likely to suggest running BibTeX when it is
     not needed.

   * Press `M-x LaTeX-209-to-2e <ret>' to make a stab at converting a
     LaTeX 2.09 header to LaTeX2e.

   * `C-c C-m input <ret>' should be faster now on second try.

   * New variable `LaTeX-left-right-indent-level' controls the
     indentation added by `\left'.

   * `\begin', `\end', `\left', and `\right' no longer need to be at
     the beginning of the line to take effect.

   * You can now delete and replace LaTeX2e style fonts.

   * Moved external commands to new menu.

   * `C-c C-m cite <ret>' will prompt for multiple keys.

   * Better handling of `"' with `german.sty'.

   * New variable `LaTeX-paragraph-commands' lists LaTeX commands that
     shouldn't be formatted as part of a paragraph.

   * Older news moved to `HISTORY'.  It is not TeXinfo able, but you
     can get a plaintext version with `make HISTORY'.

   * See the new `ChangeLog' file for a more detailed list of changes.
     The history section will now only contain user level changes.  If
     you send me a patch, please also provide a ChangeLog entry.

0.10 News in 9.1
================

Coordinater: Per Abrahamsen, 1994.

   Alpha testers (in order of appearance): Bernt Guldbrandtsen
`<bernt@weinberg.pop.bio.aau.dk>', Kevin Scott
`<scottkj@prl.philips.co.uk>', Lawrence R. Dodd
`<dodd@roebling.poly.edu>', Michelangelo Grigni `<mic@cs.ucsd.edu>',
David Aspinall `<da@dcs.edinburgh.ac.uk>', Frederic Devernay
`<Frederic.Devernay@sophia.inria.fr>', Robert Estes
`<estes@ece.ucdavis.edu>', Peter Whaite `<peta@cim.mcgill.ca>', Karl
Eichwalder `<karl@pertron.central.de>', John Interrante
`<interran@uluru.Stanford.EDU>', James A. Robinson
`<jimr@simons-rock.edu>', Tim Carlson
`<imsgtcar@mathfs.math.montana.edu>', Michelangelo Grigni
`<mic@cs.ucsd.edu>', Manoj Srivastava `<srivasta@pilgrim.umass.edu>',
Richard Stanton `<stanton@haas.berkeley.edu>', Kobayashi Shinji
`<koba@flab.fujitsu.co.jp>', and probably more.

   * LaTeX2e is now default.  Set `LaTeX-version' to `"2"' to disable
     this.

   * Better handling of `*TeX background*' buffer.  Suggested by John
     Interrante `<interran@uluru.Stanford.EDU>'.

   * Parser did not recognise the use of `\def' to create LaTeX
     environments.  Reported by Frederic Devernay
     `<Frederic.Devernay@sophia.inria.fr>'.

   * Minor cleanup in some error messages.

   * Fixed bug in `TeX-comment-paragraph' when called with a negative
     argument.  Reported by Markus Kramer `<kramer@inf.fu-berlin.de>'.

   * Don't move point in master file when running a command on the
     region in an included file.  Thanks to Karl Wilhelm Langenberger
     `<wlang@rs6000.mri.akh-wien.ac.at>' for the patch.

   * `LaTeX-math-mode' no longer works on Emacs 18 or older Lucid
     versions.  This change allowed me to unbundle `min-map.el'.

   * Made `C-c C-e' more robust, especially when applied on an empty
     active region.  Reported by Andrew Senior `<aws@eng.cam.ac.uk>'.

   * `C-c C-m section RET' and `M-<tab>' should work now in TeXinfo
     mode.  `C-c C-b' and `C-c C-r' removed, since they did not work.
     Reported by Karl Eichwalder `<karl@pertron.central.de>'.

   * Made `M-q' skip block comments.  Sugested by Peter Whaite
     `<peta@cim.mcgill.ca>'.

   * Code cleanup:  Renamed `-format-' functions to `-fill-'.

   * Made `,' and `.' remove any preceding italic correction.

   * Changes in math mode: `setminus' moved to <\>, `not' moved to </>,
     and `wedge', `vee', and `neg' installed on <&>, `|', and `!' to
     make writing logic easier for C programmers.

   * Renamed `auc-tex.el' to `auc-old.el' to make it less likely that
     new users load it by mistake.

   * Changed name of `easymenu.el' to `auc-menu.el' to avoid conflict
     with RMS's version.  Updated it to handle the Lucid `:keys'
     keyword argument.  Defines a popup menu for both FSF and Lucid
     emacs, although it is only installed in Lucid Emacs.  Added David
     Aspinall's `<da@dcs.edinburgh.ac.uk>' patch to handle an empty
     menu bar under Lucid Emacs.  The interface is still a superset of
     `easymenu.el'.  This version should no longer prevent the sharing
     of byte compiled files between FSF and Lucid emacs.

   * Marking a section or environment now highlight it in Lucid Emacs.
     It already worked in GNU Emacs.  Thanks to Andreas Ernst
     `ernst_a@maths.uwa.edu.au'.

   * Font support for LaTeX2e.  Many people suggested this.
     Automatically activated for all documents defined with
     `\documentclass'.

   * Outline support for LaTeX2e fixed by Robert Estes
     `<estes@ece.ucdavis.edu>'.

   * `bibliography' macro now works.  Thanks to Frederic Devernay
     `<Frederic.Devernay@sophia.inria.fr>'.

   * Fixes to `psfig' support by Thomas Graichen
     `<graichen@sirius.physik.fu-berlin.de>'.

   * Fixed position of `\label' in environments.  Reported by Richard
     Stanton `<stanton@haas.berkeley.edu>'.

   * Made the name of the AUC TeX menu mode specific.

   * More reliable guesses with `C-c C-r'.  Thanks to Lawrence R. Dodd
     `<dodd@roebling.poly.edu>'.

   * Insert newline before inserting local variable section.  Thanks to
     Rajeev Gore' `<rpg@cs.man.ac.uk>'.

   * Fixes to Japanese version.  Thanks to Kobayashi Shinji
     `<koba@flab.fujitsu.co.jp>'.

   * Fixed bug in `put' and `multiput' macros.  Thanks to Kobayashi
     Shinji `<koba@flab.fujitsu.co.jp>' and Masayuki Kuwada
     <kuwada@axion-gw.ee.uec.ac.jp>.

   * Display number of pages after end of LaTeX compilation.  Thanks to
     Lawrence R. Dodd `<dodd@roebling.poly.edu>'.

   * Only update section and environment menus when the lists have
     changed.

   * New variables `LaTeX-header-end' and `LaTeX-trailer-start'.

   * Some Emacs 18 compatibility changes.  Thanks to Fran E. Burstall
     `<F.E.Burstall@maths.bath.ac.uk>'.

   * Use nonrecursive function to determine the current environment.
     This should solve problems with exceeding lisp max depth.
     Contributed by David Aspinall `<da@dcs.edinburgh.ac.uk>'.

   * Fixed documentation for `` ~' in `math-ref.tex'.  Thanks to Morten
     Welinder `<terra@diku.dk>'.

   * Made `LaTeX-math-mode' work better with FSF Emacs 19 in the case
     where you press something undefined, in particular function keys.
     Requested by several.

   * Inserting an itemize environment around the active region now
     insert the first item inside the environment.  Thanks to Berwin A.
     Turlach `<berwin@core.ucl.ac.be>' for reporting this.

   * Fixed bug in right button menu under Lucid.  Reported by Frederic
     Devernay `<Frederic.Devernay@sophia.inria.fr>'.

0.11 News in 9.0
================

Coordinator: Per Abrahamsen, 1994.

   Alpha testers (in order of appearance): Volker Dobler
`<dobler@etu.wiwi.uni-karlsruhe.de>', Piet van Oostrum
`<piet@cs.ruu.nl>', Frederic Devernay
`<Frederic.Devernay@sophia.inria.fr>', Robert Estes
`<estes@ece.ucdavis.edu>', Berwin Turlach `<berwin@core.ucl.ac.be>',
Tim Carlson `<imsgtcar@mathfs.math.montana.edu>', Peter Thiemann
`<thiemann@provence.informatik.uni-tuebingen.de>', Kevin Scott
`<scottkj@prl.philips.co.uk>', Lawrence R. Dodd
`<dodd@roebling.poly.edu>', Johan Van Biesen `<vbiesen@wins.uia.ac.be>',
Marc Gemis `<makke@wins.uia.ac.be>', Michelangelo Grigni
`<mic@cs.ucsd.edu>', Kevin Scott `<scottkj@prl.philips.co.uk>', Peter
Paris `<pparis@bass.gmu.edu>', Peter Barth `<barth@mpi-sb.mpg.de>',
Andy Piper `<ajp@eng.cam.ac.uk>', Richard Stanton
`<stanton@haas.berkeley.edu>', Christoph Wedler
`<wedler@fmi.uni-passau.de>', Graham Gough `<graham@cs.man.ac.uk>', and
probably more.

   * Fixed problem with `filladapt' defeating LaTeX mode's own
     indentation algorithm.  Thanks to Piet van Oostrum
     `<piet@cs.ruu.nl>'.

   * Made environments and sections selectable from the menu bar.

   * Support Emacs comment conventions.  Comments starting with a single
     `%' are indented at `comment-column'.  Comments starting with
     `%%%' are indented at column 0.  Comments starting with `%%' are
     indented like ordinary text.  You can set the variables
     `LaTeX-right-comment-regexp' and `LaTeX-left-comment-regexp' to
     nil to disable this.  See also `LaTeX-ignore-comment-regexp'.
     Rewrote it from Christoph Wedler `<wedler@fmi.uni-passau.de>' from
     original code.

   * <tab> and <lfd> will not indent code in `verbatim' environment if
     you set `LaTeX-indent-environment-check' to non-nil.  This was
     also first implemented by Christoph Wedler
     `<wedler@fmi.uni-passau.de>'.

   * You can now get get custom indentation for various environments.
     See `LaTeX-indent-environment-list'.

   * `C-c C-m left <ret>' new automatically inserts a matching
     `\right'.  See variables `TeX-left-right-braces',
     `TeX-braces-default-association', and
     `TeX-braces-user-association'.  This feature was suggested by Jesse
     `<jes@math.msu.edu>' and implemented by Berwin Turlach
     `<berwin@core.ucl.ac.be>'.

   * Don't automatically display the compilation buffer unless
     `TeX-show-compilation' in non-nil.  Suggested by Stefan Schoef
     `Stefan.Schoef@arbi.informatik.uni-oldenburg.de'.

   * Bundled `ltx-help.el'.  Press `C-h C-l' to get the documentation
     for a LaTeX command.

   * Fixed indentation of `\left' and `\right'.  Thanks to Christoph
     Wedler `<wedler@fmi.uni-passau.de>'.

   * Installation procedure changed.  `tex-site.el' is now intended to
     survive AUC TeX upgraded.  The distribution version only contains
     autoloads (eliminating the need for `tex-load.el' , the
     customization variables are moved to `tex.el'.  You should copy
     those variables you need to customize from `tex.el' to
     `tex-site.el'.

   * Made it possible to use absolute paths when including
     bibliographies or style files.

   * Fixed problem with parsing errors after running LaTeX on the region
     from the menu.  Thanks to Peter Barth `<barth@mpi-sb.mpg.de>' for
     finding this one.

   * The file `doc/ref-card.texi' has been renamed to
     `doc/tex-ref.texi' to avoid confusion with the reference card for
     GNU Emacs.  Suggested by Michelangelo Grigni `<mic@cs.ucsd.edu>'.

   * The `README', `CHANGES' and `INSTALLATION' files are now generated
     from chapters of this manual, to ensure they stay in sync.

   * `M-<tab>' will now complete some macro arguments in addition to
     macro names.  In particular, if you press `M-<tab>' after `\cite{'
     or `\ref{' you will get completion for bibitems and labels,
     respectively.

   * Merged a number of files.  The major files are now `tex.el' for
     plain TeX and common support, `tex-buf.el' for running external
     commands, and `latex.el' for LaTeX support.

   * Unbundled `outln-18.el'.  Users of Emacs 18 or Lucid Emacs 19.9 or
     earlier must get `outln-18.el' and install it as `outline.el' if
     they want the outline commands to work.

   * No longer bind `C-c <tab>' to `TeX-complete-symbol'.  Use
     `M-<tab>' instead.

   * Cleaned up the parser and parameterizedd it.  Now you can add now
     types of information to be maintained by the parser simply by
     calling `TeX-auto-add-type'.  You still need to install the
     regexps with `TeX-auto-add-regexp'.

   * Disable the automatic insertion of empty braces after macros with
     no arguments in `LaTeX-math-mode'.  Added a variable
     `TeX-insert-braces' to disable it everywhere.

   * Now complete with existing labels when asking for a label in a
     LaTeX environment.  Suggested by Berwin Turlach
     `<berwin@core.ucl.ac.be>'.

   * The variables `TeX-private-macro', `TeX-private-auto', and
     `TeX-private-style' are now initialized from the `TEXINPUTS' and
     `BIBINPUTS' environment variables.

   * `C-c C-f' and `C-c C-e' will now put the template around the
     region if the region is active.

   * Fixed `C-u C-c C-e' to handle environments ending with a star
     (`*').  Reported by Berwin Turlach `<berwin@core.ucl.ac.be>'.

   * Don't use `with-output-to-temp-buffer' for compilation buffer.
     Fixed by Frederic Devernay `<Frederic.Devernay@sophia.inria.fr>'.

   * New function `TeX-command-buffer' (`C-c C-b') to run a command on
     the (visible part of) the current buffer.  Requested by several
     people.

   * Bundled the latest `reporter.el', added `TeX-submit-bug-report' to
     menus.

   * `TeX-insert-braces' now takes an argument like
     `insert-parentheses'.  Thanks to Lawrence R. Dodd
     `<dodd@roebling.poly.edu>'.

   * Fixed bug in `\put' and `\multiput' macros.  Thanks to Kevin Scott
     `<scottkj@prl.philips.co.uk>'.

   * Deleted `ams-latex-mode', `slitex-mode', and `foiltex-mode'.
     Instead, use `LaTeX-command-style' to determine the name of the
     external command to use.

   * Deleted `latex2e-mode'.  Instead set the `LaTeX-version' variable.
     This may be done automatically if you use `\documentclass' in the
     future.

   * Fixed Lucid Emacs menu for TeXinfo mode.  Thanks to Frederic
     Devernay `<Frederic.Devernay@sophia.inria.fr>',

   * Added support for `harvard.sty' by Berwin Turlach
     `<berwin@core.ucl.ac.be>'.

   * Filling will not let display math equations `\[ ... \]' be on a
     line by themselves.  Reported by Matthew Morley
     `<Matthew.Morley@gmd.de>'.

   * Made `words-include-escapes' default to nil.

   * Made `TeX-expand-list' expansions case sensitive.  Thanks to Havard
     Rue `<Havard.Rue@sima.sintef.no>'.

   * Fixed error in calculating indentation for lines starting with a
     brace.  Thanks to Piet van Oostrum `<piet@cs.ruu.nl>'.

   * Fixed bug in the `addcontentsline', `newtheorem', and
     `pagenumbering' macros reported by Berwin Turlach
     `<berwin@core.ucl.ac.be>'.

   * Doc fixes by Lawrence R. Dodd `<dodd@roebling.poly.edu>'.

   * Indentation no longer fooled by `\\{',  Thanks to Peter Thiemann
     `<thiemann@provence.informatik.uni-tuebingen.de>'.

   * Bind `M-C-e' and `M-c-a' to `LaTeX-find-matching-end' and
     `LaTeX-find-matching-begin'.  Suggested by Lawrence R. Dodd
     `<dodd@roebling.poly.edu>'.

   * Added variable `TeX-quote-after-quote' which causes
     `TeX-insert-quote' to insert literal `"' except when after another
     `"', in which case it will expand to `TeX-open-quote' or
     `TeX-close-quote'.  This code was contributed by Piotr Filip
     Sawicki `<pfs@mimuw.edu.pl>'.

   * Added support for Polish style files `plfonts.sty' and `plhb.sty',
     contributed by Piotr Filip Sawicki `<pfs@mimuw.edu.pl>'.

   * Added section with suggestions for how to handle European
     character sets.

   * Created workaround for bug in the regexp handler in some Emacs 18
     versions and older versions of Lucid Emacs.  The workaround means
     you cannot use space in the documentstyle command in Emacs and
     Lucid Emacs earlier than version 19.9.

   * `powerkey.el' is removed since the functionality is integrated in
     GNU Emacs

   * `C-u "' now inserts four literal `"', not just one.  To insert a
     single `"' either press <"> twice or use `C-q "'.

   * Allow non-string value for `outline-minor-map-prefix'.  Reported by
     David Smith `<maa507@comp.lancs.ac.uk>'.

   * Make the use of `write-file-hooks' more safe, and use
     `local-write-file-hooks' when possible.  Suggested by David Smith
     `<maa507@comp.lancs.ac.uk>'.

   * Don't indent `\begin{verbatim}' and `\end{verbatim}', since any
     space before `\end{verbatim}' is significant.  Thanks to Peter
     Thiemann `<thiemann@informatik.uni-tuebingen.de>' for the patch.

   * Show available fonts when you try to insert an non-existing font.
     Suggested by David Smith `<maa507@comp.lancs.ac.uk>'.

   * The `member' function in `tex-18.el' does not depend on
     `TeX-member' now.  Thanks to Piet van Oostrum `<piet@cs.ruu.nl>'.

   * Do not overwrite any global binding of `M-ret'.  Suggested by Jens
     Petersen `<J.Petersen@qmw.ac.uk>'.

   * Major modes for writing text are supposed to rebind `M-tab' to
     `ispell-complete-word'.  Reported by Jens Petersen
     `<J.Petersen@qmw.ac.uk>'.

   * Fixed problems with TeXinfo menus.  Thanks to David Smith
     `<maa507@comp.lancs.ac.uk>' for reporting this.

   * Code cleanup.   Removed the `format' directory, as it did not make
     it easier to add new TeX modes, quite the contrary.

   * Fixed name conflict in `auc-tex.el', reported by Rik Faith
     `<faith@cs.unc.edu>'.

   * Fixed some spelling errors.  Thanks to Lawrence R. Dodd
     `<dodd@roebling.poly.edu>'.

   * Fixed bug prohibiting non-standard file extensions.  Now recognize
     `.ltx' by default.  Suggested by Lawrence R. Dodd
     `<dodd@roebling.poly.edu>'.

   * Name of the AUC TeX info files changes once again to be usable
     under DOS.  This time simply to `auctex'.

   * Documented `TeX-outline-extra'.

   * Could not select command on region from the menu before loading
     `tex-buf'.  Reported by Uwe Bonnes
     `<bon@lte.e-technik.uni-erlangen.de>'.

   * Make the hilit19 interface more robust.  Thanks to William Dean
     Norris II `<wdn@dragonfly.cis.ufl.edu>'.

   * More OS/2 Makefile fixes by Bodo Huckestein
     `<bodo@eu10.mpi-hd.mpg.de>'.

   * Reimplemented comment support on top of `comment-region', giving
     slightly different semantics.

0.12 News in 8.0
================

Coordinator: Per Abrahamsen, 1993.

   Alpha testers (in order of appearance): Marc Gemis
`<makke@wins.uia.ac.be>', Shinji Kobayashi `<koba@flab.fujitsu.co.jp>',
Philippe Defert `<defert@gnuisance.cern.ch>', Richard Stanton
`<stanton@haas.berkeley.edu>', Norbert Kiesel
`<norbert@i3.informatik.rwth-aachen.de>', Roberto Cecchini
`<CECCHINI@fi.infn.it>', Hanno Wirth `<wirth@igd.fhg.de>', Tim Carlson
`<tim@math.montana.edu>', John Daschbach
`<dasch@darkwing.uoregon.edu>', Bob Fields `<bob@minster.york.ac.uk>',
Peter Whaite `<peta@cim.mcgill.ca>', Volker Dobler
`<dobler@etu.wiwi.uni-karlsruhe.de>', Phil Austin `<phil@geog.ubc.ca>',
Martin Maechler `<maechler@stat.math.ethz.ch>', Havard Rue
`<Havard.Rue@sima.sintef.no>', Tim Geisler
`<tmgeisle@faui80.informatik.uni-erlangen.de>', Tim Carlson
`<imsgtcar@mathfs.math.montana.edu>', Sridhar Anandakrishnan
`<sak@essc.psu.edu>', Peter Thiemann
`<thiemann@provence.informatik.uni-tuebingen.de>', Pedro Quaresma
`<pedro@mat.uc.pt>', Christian Lynbech `<lynbech@daimi.aau.dk>', Kevin
Scott `<scottkj@prl.philips.co.uk>', Bodo Huckestein
`<bodo@eu10.mpi-hd.mpg.de>', Cengiz Alaettinoglu `<ca@cs.UMD.EDU>',
Jakob Schiotz `<schiotz@fysik.dth.dk>', and probably more.

   * New variable `LaTeX-letter-sender-address' contains default address
     for use with the letter style.  Set it to the address of your
     organization in `tex-site.el'.  Thanks to Sridhar Anandakrishnan
     `<sak@essc.psu.edu>'.

   * Makefile now works under OS/2 with GNU Make.  Thanks to Bodo
     Huckestein `bodo@eu10.mpi-hd.mpg.de'.

   * Made it possible to install global auto files without having BibTeX
     mode installed.  Thanks to Christian Lynbech
     `<lynbech@daimi.aau.dk>'.

   * Minor documentation fixes.  Thanks to Martin Maechler
     `<maechler@stat.math.ethz.ch>'.

   * Added support for `eqref' for the `amsart' style.  Thanks to Peter
     Whaite `<peta@cim.mcgill.ca>'.

   * Use `-c' as the default shell command option under `emx'.
     Eberhard Mattes `<mattes@azu.informatik.uni-stuttgart.de>' says it
     is better than `/c'.

   * Made powerkey in the menus work better under OS/2.  Thanks to
     Eberhard Mattes `<mattes@azu.informatik.uni-stuttgart.de>'.

   * Made the reference cards print correctly on US letter format paper.
     Thanks to Magnus Nordborg `<magnus@fisher.Stanford.EDU>'.

   * `LaTeX-dead-mode' removed.  Read the file `ISO-TEX' for alternative
     solutions.

   * All minor modes unbundled.  You can find them from ftp at
     `ftp.iesd.auc.dk' in the directory `/pub/emacs-lisp'.  Removed
     information about minor modes from this document.

   * New hooks for changing ispell directory, see `tex-site.el' for
     details.

   * LaTeX2e mode now supported.  Insert

            (setq TeX-default-mode 'latex2e-mode)

     in your `.emacs' file to get documentclass instead of documentstyle
     per default.  The parser recognizes documentclass, usepackage, and
     newcommand with a default argument.  There are also templates for
     all of them.

   * Added Jakob Schiotz's `<schiotz@fysik.dth.dk>' help file for
     installing AUC TeX on OEMACS.  It will probably also be of interest
     for DEMACS users.

   * Minor changes to be more friendly for OEMACS, thanks to Jakob
     Schiotz `<schiotz@fysik.dth.dk>'.

   * The control key bindings in `LaTeX-math-mode' now works, thanks to
     Frederic Devernay `<Frederic.Devernay@sophia.inria.fr>'.

   * LaTeX outlines no longer matches `\partial' or other commands with
     a sectioning command as prefix.  Thanks to Jakob Schiotz
     `<schiotz@fysik.dth.dk>'.

   * `LaTeX-fill-paragraph' now handles the case where the previous line
     both contain an `\item' and an unmatched open brace.  Thanks to
     Piet van Oostrum `<piet@cs.ruu.nl>'.

   * Use abbreviated file name for TeX output buffers in Emacs 19.
     Thanks to Jens Gustedt `<gustedt@math.tu-berlin.de>'.

   * Added lowercase alias for `LaTeX-math-mode' for use with Emacs file
     mode commands.  Thanks to Olaf Burkart
     `<burkart@zeus.informatik.rwth-aachen.de>'.

   * Added code to reuse old region in `TeX-command-region' if mark is
     not active.  Thanks to Cengiz Alaettinoglu `<ca@cs.UMD.EDU>'.

   * Now get keyboard accelerators on all menus rather than only AUC TeX
     menus, thanks to the `powerkey.el' file by Lars Lindberg
     `<lli@sypro.cap.se>'.

   * Added `TeX-electric-macro' for faster completion of TeX macros.
     *Note Completion::.

   * Comparing printer names are now case incentive.  Thanks to Richard
     Stanton `<stanton@haas.berkeley.edu>'.

   * Default shell fixed for OS/2.  Thanks to Richard Stanton
     `<stanton@haas.berkeley.edu>'.

   * Added functions to hide (`LaTeX-hide-environment') and show
     (`LaTeX-show-environment') the current environment.

   * `C-u C-c C-e' will now modify the current environment instead of
     inserting a new environment.  This is like the optional argument
     to the font commands.

   * Added nabla to LaTeX Math Mode.  Suggested by Bill Reynolds
     `<bill@goshawk.lanl.gov>'.

   * Added commands for running TeX and LaTeX interactively.  Thanks to
     David Carlisle `<carlisle@computer-science.manchester.ac.uk>'.

   * The external commands will now insert there output _before_ point
     in the output buffers.  This allows you to follow the progress by
     putting point at the end of the file.  Suggested by Jak Kirman
     `<jak@cs.brown.edu>'.

   * When invoking an external command from a menu, the document will be
     automatically saved.

   * There are now a printer menu for emacs 19.

   * Redesigned dependency checking.  Now only checks dependencies for
     files loaded in the current emacs session.  This is much faster,
     but will not catch files that are edited outside this emacs
     session, or files edited in killed buffers.  *`TeX-check-path'
     must at least contain `.' for saving to work*.  If you have set
     `TeX-check-path' in your `.emacs' file, remove it.  The default
     value is fast enough now.

   * New variable `TeX-save-query' control if AUC TeX will query you
     for each modified buffer when you save the document.  Set it to
     nil to get rid of these questions.  Setting this variable also
     affect the automatic saving of the document that happens each time
     you start an external command.

   * New command `TeX-save-document' will save all files in the current
     document, i.e. the document associated with the current buffer.

   * Cleaned up all minor modes, also made them use `min-map.el' or
     `min-mode.el' instead of `min-bind.el'.

   * Cleaned up release management.

   * AUC TeX will not longer be confused when you rewrite a file under
     a new name.

   * Lots of code cleanup, involving reformatting the source and
     renaming all `-hook' variables and functions to conform with the
     Emacs 19 guidelines.

   * Can now parse Japanese characters in labels and macros when you use
     Japanese TeX.  Thanks to Shinji Kobayashi
     `<koba@flab.fujitsu.co.jp>'.

   * Made it safe to quit when AUC TeX asks for the name of the master
     file.  It will simply assume the file itself is the master, and
     continue without inserting any file local variables.

   * Support for `epsf' and `psfig' style files.  Thanks to Marc Gemis
     `<makke@wins.uia.ac.be>'.

   * Support for LaTeXinfo.  Thanks to Marc Gemis
     `<makke@wins.uia.ac.be>'.

   * Only examine the first 10000 bytes to find out what TeX mode to
     use.

   * Added `TeX-submit-bug-report' command to submit bug reports.  It
     uses the `reporter.el' distributed with SuperCite, so it may not be
     available in some Emacs 18 installations.

   * Speeded up parsing significantly by using a simpler regexp.

   * Added variable `TeX-auto-untabify'.  Set it to nil to prevent
     untabifying the buffer when it is saved.  Several people wanted
     this.

   * Changed defaults to _not_ do any automatic parsing, nor prompt for
     a master file.  *Note Parsing Files::, *Note Multifile::, for
     information about how ot correct this.  In short, insert the
     following in your `.emacs' file.

          (setq TeX-auto-save t)
          (setq TeX-parse-self t)
          (setq-default TeX-master nil)

   * Some grammatical fixes to the `PROBLEMS' file.  Thanks to Lawrence
     R. Dodd `<dodd@roebling.poly.edu>'.

   * No longer install a separate `outline-minor-mode' by default, as
     the FSF Emacs 19.19 `outline-minor-mode' is adequate.  The included
     file `outln-18.el' emulates the FSF Emacs 19.19 mode under Emacs
     18.

     The FSF Emacs 19.19 `outline-minor-mode' use the `C-c' prefix
     instead of `C-c C-o' by default, and does not bind as many keys as
     the `outline-minor-mode' distributed with earlier versions of AUC
     TeX did.  You can get the keybindings back together with other
     goodies by inserting
          (require 'out-xtra)
     in your `.emacs' file.  `out-xtra.el' will probably be unbundled
     from AUC TeX in the future.

   * Some fixes to AmS-TeX mode by Ulf Juergens
     `<ulf@mathematik.uni-bielefeld.de>'.

   * Make `plain-TeX-mode-menu' work in Lucid Emacs.  Thanks to Anthony
     Rossini `rossini@hsph.harvard.edu' for reporting this.

   * First cut on a TeXinfo mode.

   * More strict about parsing `\bibitem''s and BibTeX entries.

   * Made it easier to write style files for environments that takes
     arguments and documented it.  Suggested by Martin Wunderli
     `<wunderli@inf.ethz.ch>'.

   * Parse optional argument to `\newenvironment'.  Suggested by Martin
     Wunderli `<wunderli@inf.ethz.ch>'.

   * Fixed `parbox' macro.  Thanks to Shinji Kobayashi
     `<koba@flab.fujitsu.co.jp>'.

   * Made the parser work better in outline minor mode.  Thanks to
     Salvador Pinto Abreu `<spa@khosta.fct.unl.pt>'.

   * Also save style information with `TeX-normal-mode' when buffer not
     modified.

   * Use `$(MAKE)' instead of `make' to invoke `make' from the
     `Makefile'.  Thanks to John Interrante
     `<interran@uluru.Stanford.EDU>'.

   * Make last value default for `TeX-insert-macro'.  Suggested by Matt
     Fairtlough `<M.Fairtlough@dcs.sheffield.ac.uk>'.

   * Renamed info file to `auc-info' in order to fill DOS file limits.
     Please remember to update your `dir' file to reflect this change.

   * Delete auto file instead of saving an empty file.

0.13 News in 7.3
================

Coordinator: Per Abrahamsen, 1993.

   * More robust installation, especially for Lucid Emacs (I hope).
     Many people reported problems with this.

   * Make `easymenu' work when byte-compiled.  Many people reported this
     bug.

   * Minimally updated the `README' file from version 6.0 (sigh).
     Thanks to Boris Goldowsky `<boris@cs.rochester.edu>' for reporting
     this.

   * Added `@finalout' to manual.  Reported by Henrik Drabol
     `<hvd@ens004.ens.min.dk>'.

   * Fixed `M-q' to work after an `\end{...}'.  It will not work at the
     end of the buffer, but there are usually the local variables so it
     should (hopefully) not matter.  Thanks to Shinji Kobayashi
     `<koba@flab.fujitsu.co.jp>' again.

   * New variables `TeX-open-quote' and `TeX-close-quote' determine
     what is inserted by `TeX-insert-quote'.  The `german' style file
     now use those variables instead of changing the keymap.

   * Changes to the default settings in `tex-site.el', in particular a
     `Queue' command is added to display the print queue.  Thanks to
     John Interrante `<interran@uluru.Stanford.EDU>' for code, and
     other members of the `auc-tex@iesd.auc.dk' mailing list for ideas.

   * Make sure all outline mode commands are bound in
     `outline-minor-mode'.

   * Added autoload for `TeX-command'.  Thanks to Hanno Wirth
     `<wirth@igd.fhg.de>' for reporting this.

   * Added support for AmSTeX and AmSLaTeX.  Currently they are
     identical to TeX and LaTeX except for another default command.

   * Added VorTeX style matching of dollar sign.  The style is
     guaranteed to be VorTeX, since I lifted the code directly from
     VorTeX.  Thanks to Pehong Chen `<phc@renoir.berkeley.edu>' for
     writing the VorTeX code.  Thanks to Jak Kirman
     `<jak@cs.brown.edu>' for pointing out this nice VorTeX feature.

   * Added information about AUC TeX mail addresses to the manual.
     Thanks to Dave Smith `<maa507@computing.lancaster.ac.uk>'.

   * Added menu to for plain TeX.  Suggested by Tim Carlson
     `<imsgtcar@math.montana.edu>'.

   * Made the menus depend on `TeX-command-list'.

   * Made it possible to specify `TeX-auto-regexp-list' in the local
     variable section of each file.

   * Added variable `TeX-auto-parse-length' to specify maximal length of
     text that will be parsed.

   * Added automatic parsing of BibTeX files and `bibitem' entries in
     order to get completion in `cite'.  This was inspired by an add on
     made by Sridhar Anandakrishnan `<sak@essc.psu.edu>'.

   * Added variable `TeX-byte-compile' to disable automatic byte
     compilation of style files when loaded.  This is needed when using
     different Emacs versions.

   * Added variable `TeX-translate-location-hook' to translate file and
     line information before showing an error, as requested by
     Thorbjoern Ravn Andersen `<ravn@imada.ou.dk>'.

   * Added variable `TeX-auto-save' to allow disabling the automatic
     saving of style information, either per file in the file local
     variables, or globally by using `setq-default'.  Use
     `TeX-normal-mode' to force style information to be saved.

   * Try to create `auto' directory if it does not exists.

   * Added chapter describing how to tune the TeX parsing.

   * Allow (but do not encourage) a string value for
     `LaTeX-default-options'.

   * Give `"' word syntax when german.sty is loaded.  Suggested by Tim
     Geisler `<tmgeisle@immd8.informatik.uni-erlangen.de>'.

   * Many corrections to the grammar in the manual.  Thanks to Manfred
     Weichel `<Manfred.Weichel@sto.mchp.sni.de>'.

   * Bind `TeX-home-buffer' to `C-c ^' instead of `C-c C-h' which are
     reserved in Emacs 19.  Suggested by Chris Moore
     `<Chris.Moore@src.bae.co.uk>'.

0.14 News in 7.2
================

Coordinator: Per Abrahamsen, 1993.

   * `LaTeX-dead-mode' works again.  Thanks to Patrick O'Callaghan
     `<poc@usb.ve>' for fixing it.

   * Minor fixes to the documentation.  Thanks to Shinji Kobayashi
     `<koba@flab.fujitsu.co.jp>'.

   * Add `Compiling' to the mode line of all buffers, while there is a
     AUC TeX compilation process running.  This is similar to the
     behavior of `compile' in Emacs 19.

   * `TeX-normal-mode' will now save the buffer first to make sure it
     gets reparsed.

   * Labels with underscores are now recognized.   Thanks to Wolfgang
     Franzki `<W.Franzki@kfa-juelich.de>'

   * Fix to `ghostview' printer specification.  Thanks to Masayuki
     Kuwada `<kuwada@soliton.ee.uec.ac.jp>'.

   * Recognize `abstract', `center', `titlepage', `verse', and
     `theindex' environments.  Thanks to Masayuki Kuwada
     `<kuwada@soliton.ee.uec.ac.jp>'.

   * Fix to `newsavebox' macro.  Thanks to Shinji Kobayashi
     `<koba@flab.fujitsu.co.jp>' for reporting this.

   * Menu support for GNU Emacs 19 and Lucid Emacs.  Thanks to Alastair
     Burt `<burt@dfki.uni-kl.de>' for the initial Lucid Emacs version.

   * `C-c C-f C-d' now deletes the current font.  The current font is
     defined to be the innermost TeX group starting with a TeX macro
     that is terminated by a space.

   * Giving `C-c C-f' a prefix argument will replace the current font,
     i.e. `C-u C-c C-f C-b' will change the current font to bold.

     The old functionality (putting the font around the region) has been
     removed.  To make the region bold, type `C-w C-c C-f C-b C-y'
     instead.

   * Chapter recognized as largest heading in the report style.  Thanks
     to Shinji Kobayashi `<koba@flab.fujitsu.co.jp>' for reporting this.

   * More support for Japanese style files.  Thanks to Shinji Kobayashi
     `<koba@flab.fujitsu.co.jp>'.

   * No longer put `Outline' in the mode line whenever
     `selective-display' is set.  Thanks to Lawrence R. Dodd
     `<dodd@roebling.poly.edu>' for reporting this.

   * Support for inserting calligraphic letters in `TeX-math-mode' with
     `` c <letter>'.  Thanks to Olaf Burkart
     `<burkart@zeus.informatik.rwth-aachen.de>'.

   * `set-docstring' in `tex-math.el' should work better now.  Thanks
     to Alastair Burt `<burt@dfki.uni-kl.de>' and Olaf Burkart
     `<burkart@zeus.informatik.rwth-aachen.de>'.

   * Support for dviout preview on PC-9801.  Thanks to Shinji Kobayashi
     `<koba@flab.fujitsu.co.jp>'.

   * Inserting environment in empty buffer should work now.  Thanks to
     Alastair Burt `<burt@dfki.uni-kl.de>'.

   * Default float for figures changed from `tbp' to `htbp'.

   * `LaTeX-format-environment' may work now.  Thanks to Shinji
     Kobayashi `<koba@flab.fujitsu.co.jp>'.

   * Better `LaTeX-close-environment'.  Thanks to Thorbjoern Hansen
     `<thansen@diku.dk>'.

   * Some support for Ispell 4.0.

   * BibTeX in Emacs 19 need `tex-insert-quote', make it autoload from
     AUC TeX instead of the standard `tex-mode'.

   * `TeX-auto-generate' failed when repeated.  Thanks to Peter Whaite
     `<peta@Thunder.McRCIM.McGill.EDU>' for reporting this.

0.15 News in 7.1
================

Coordinator: Per Abrahamsen, 1993.

   * Allow multiple `%p' in print commands.

     Suggested by Cliff Krumvieda `<cliff@cs.cornell.edu>'.

   * Improved backward compatibility in `auc-tex.el'.  Thanks to Ralf
     Handl `<handl@cs.uni-sb.de>'.

   * New style hook for `german.sty'.

     Disable smart quotes.  Press `C-c C-n' to make it take effect.

   * Allow files to have other extensions than "tex".

     But no longer allow files to have multiple dots.  Sigh.

   * Will no longer parse the buffer if it can use the saved state.

   * New variable `TeX-parse-self'.

     Set it to nil if you never want to parse the buffer when you load
     it.

   * Only offer to save files that belongs to the document.

     When you format the document with `C-c C-c', AUC TeX will no
     longer offer to save your `RMAIL', `.newsrc', or other files that
     does not belong to the document.  Suggested by Jim Hetrick
     `<hetrick@phys.uva.nl>'.

   * FoilTeX support.

     Thanks to Sven Mattisson `<sven@tde.lth.se>'

   * Smarter about when you need to reformat.

     Thanks to Chris Callsen `<chris@iesd.auc.dk>'.

   * Japanese TeX

     Now supports Japanese TeX.  Thanks to Shinji Kobayashi
     `<koba@keisu-s.t.u-tokyo.ac.jp>'.

   * Works again under OS/2 and other case insensitive file systems.

   * DEMACS support.

     Thanks to Shinji Kobayashi `<koba@keisu-s.t.u-tokyo.ac.jp>'.

   * Better `LaTeX-close-environment'.

     Thanks to Piet van Oostrum `<piet@cs.ruu.nl>'.

   * Ispell support.

     Thanks to Piet van Oostrum `<piet@cs.ruu.nl>'.

   * Support for Russian letters.

     Thanks to Justin R. Smith `<jsmith@king.mcs.drexel.edu>'.

   * SliTeX fixes.

     Many people.

   * Fixes for spelling errors.

     Many people.


0.16 Version 7.0
================

Coordinator: Per Abrahamsen, 1993.

   Alpha testers (in order of appearance): Piet van Oostrum
`<piet@cs.ruu.nl>', Sven Mattisson `<sven@tde.lth.se>', Tim Geisler
`<tmgeisle@immd8.informatik.uni-erlangen.de>', Fran E.  Burstall
`<F.E.Burstall@maths.bath.ac.uk>', Alastair Burt
`<burt@dfki.uni-kl.de>', Sridhar Anandakrishnan `<sak@essc.psu.edu>',
Kjell Gustafsson `<kjell@sccm.Stanford.EDU>', Uffe Kjaerulff
`<uk@iesd.auc.dk>', Kurt Swanson `Kurt.Swanson@dna.lth.se', Mark Utting
`<marku@cs.uq.oz.au>', Per Norman Oma `perno@itk.unit.no', Naji Mouawad
`<nmouawad@math.uwaterloo.ca>', Bo Nygaard Bai `<bai@iesd.auc.dk>', and
probably more.

   * New keymap.

     The keymap has been changed in order to make it more intuitive to
     new users, and because the old bindings did not work well with the
     new buffer manipulation commands in tex-buf.el.  To use the new
     bindings, load `tex-init.el' instead of `auc-tex.el'.

     The file `auc-tex.el' is still available and implements the old
     keybindings on top of the new code.

     Print out the reference card (`doc/tex-ref.tex') to see the new
     bindings.

   * Completely redesigned the buffer handling.

     No part of the interface or the customization variables remain the
     same, unless you use the compatibility functions in `auc-tex.el'.
     In that case the interactive commands remain similar in spirit,
     but the customization interface is still changed.

     The file `tex-buf.el' has been completely rewritten, and there are
     major cleanup in `tex-dbg.el', however the basic functionality
     remains the same in this file.  The code for both `tex-buf.el' and
     `tex-dbg.el' should be much simpler now and easier to extent.

     `auc-tex.el' and `tex-site.el' was updated to support the new
     interface.  I actually believe the moral equivalent to `TeX-region'
     to work now :-), at least I understand the code now.

     The two major functions are now `TeX-command-master' and
     `TeX-command-region'.  Each function will prompt you for the
     command to execute.  AUC TeX will make an educated guess on what
     command you want to run, and make that the default.  The available
     commands are defined in the variable `TeX-command-list'.

     `TeX-command-master' will run the specified command on the buffers
     master file.  You can have one command running for each master
     file.  `TeX-command-region' will run the specified command on the
     current region, getting the header on trailer from the master file.

     You can have exactly one region command running, independent on
     how many master file commands that are running.  Commands that
     operate on the active process (like `TeX-next-error') will chose
     the process associated with buffers master file, unless the last
     region process is more recent than all master file processes.

     AUC TeX now insist on knowing the master file for a buffer.  If you
     do not specify it in the file variable section, and it is not
     obviously a master file itself, it will ask you.  It will also add
     the master file name to the file variables, unless you disable
     this feature by setting `TeX-add-local' to nil.  Furthermore, it
     will convert `%% Master:' lines to file variables, unless you
     disable it by setting `TeX-convert-master' to nil.  

     Functionality removed (for now, it might appear again latter)
     include all other functions to start a command (e.g.
     `LaTeX-BibTeX'), and alternative ways to specify headers and
     trailers.  The only place to get the header and trailer is from
     the master file (I can easily change that, if anyone have such
     needs).

   * Style specific code isolated.

     You can now add style specific information to AUC TeX by writing a
     style file somewhere in TeX-style-path.

     The main code is now organized around this principle.

   * Automatically generate style files.

     AUC TeX can now automatically extract information from a TeX file,
     and will do this when you save a buffer.

   * SliTeX mode.

     Just like LaTeX mode, except that the default command to format run
     on the buffer is `slitex'.

   * `LaTeX-section' completely general.

     Rewrote `ltx-sec.el'.

        - Sectioning level, toc, and title queries can be individually
          turned off.

        - Label query can be turned on or off for selected sectioning
          levels.

        - Label prefix can be different for different sectioning levels.

        - If the title (or toc) is empty, point will be positioned
          there.

        - Users can add new hooks

   * `TeX-insert-macro' much smarter.

     It will now prompt for the symbol with completions, and for many
     symbols it will also prompt for each argument.  There are also
     completion on some of the arguments.

   * Fixed center in figure environment.

     Thanks to Thomas Koenig `<ig25@rz.uni-karlsruhe.de>'.

   * Changed `\M-' to `\e' in all keybindings in order to better
     support 8-bit input on some GNU Emacs. Thanks to Peter Dalgaard
     `<pd@kubism.ku.dk>'.

     Please, implementors of 8-bit input extensions to GNU Emacs.
     `\M-x' does _not_ means "`x' with the 8-bit set".  It means
     "pressing `x' while holding down the <meta> key".  Some systems
     (such as X11) are able to tell the different.  Thus, even if you
     implement 256 byte keymaps, `\M-x' should still expand
     `meta-prefix-char' followed by an `x' in the keymap.  This allows
     you to distinguish pressing `x' while holding down the <meta> key
     from entering a literal 8-bit character.

   * Made the outline commands aware of the document style.

     That is, if the document style is `article', `\section' will be
     one level below the `\documentstyle', while if the style is
     `book', `\section' will be three levels below `\documentstyle'.
     This will make `show-children' work better at the top level.

   * The makefiles are closer to GNU coding standard.

     They now understand `prefix' and some other macros.

   * Added hooks to be run after list of environments or list of
     completion names are updated, and also added a hook to be called
     after each file has been loaded. Thanks to Piet van Oostrum
     `<piet@cs.ruu.nl>'.

   * Added `*' to lot of `(interactive)' declarations.

   * The outline commands are now always accessible from LaTeX mode.

   * Generalized the keyboard remapping and double modes.

     These are found in the file `min-key.el'.

   * Smart Comments.

     Not really, but there are now two comment functions which use their
     arguments to determine what to do, instead of four functions
     ignoring their arguments.

   * Add outline headers.

     It is now possible to add extra outline headers, by setting the
     variable `TeX-outline-extra'.

   * Smart quotes even smarter.

     If you press `"' twice, it will insert an real double quote instead
     of two (or four) single quotes.  This is consistent with how
     remapping in `min-key.el' is done.

   * Automatically untabify buffer when you save it.

     Hands up, everyone who have produced a `last revision' paper
     containing an unreadable list of data in the back, because TeX
     does not understands tabs.

   * Call show-all when you change major mode.

     Thanks to Inge Frick's `<inge@nada.kth.se>' `kill-fix.el'
     enhancement, outline minor mode can now guarantee that all text is
     shown when you leave the minor mode, even if you leave the minor
     mode by changing the major mode.

   * Updated documentation for 7.0.

     Also added key, variable, function, and concept indexes, as well
     as this history section and a new chapter on multifile documents
     (*note Multifile::).


0.17 Version 6.1
================

Coordinator: Per Abrahamsen, 1992.

   * `TeX-region' might work now (heard that before?).

     Many people reported this one.  Especially thanks to Fran Burstall
     `<F.E.Burstall@maths.bath.ac.uk>' and Bill Schworm
     `<bill@schworm.econ.ubc.ca>'.

   * The specification format for the TeX command is more general.

     See the documentation for `LaTeX-command' and `plain-TeX-command'.

   * The specification format for the preview commands is more general.

     See their respective documentation.

   * The specification format for the print command is more general.

     See the documentation for `TeX-print-command'.

   * `TeX-args' is marked as obsolete.

   * The `"Emergency stop ..."' error.

     Some users of old TeX installations got might might be fixed now.
     Thanks to Philip Sterne `<sterne@dublin.llnl.gov>'.

   * It is now possible to change the preview command.

     ... without loading TeX-site first.  Thanks to Tim Bradshaw
     `<tim.bradshaw@edinburgh.ac.uk>'.

   * New variable TeX-smart-quotes.

     Allow `german.sty' users (and others) to disable the mapping of
     double quote (`"' to ```' or `''').  Thanks to Daniel Hernandez
     `<danher@informatik.tu-muenchen.de>'.

   * Many minor corrections to the documentation.

     Thanks to Mainhard E.  Mayer `<hardy@golem.ps.uci.edu>'.

   * Make test for `HOSTTYPE' case insensitive.

     Thanks to Gisli Ottarsson `<gisli@liapunov.eecs.umisc.edu>'.

   * `TeX-force-default-mode'

     Set to avoid AUC TeX's attempts to infer the mode of the file by
     itself.


0.18 Version 6.0
================

Coordinator: Kresten Krab Thorup, 1992.

   Preliminary documentation is available in the directory `doc'.  It
isn't very well written, but I believe it covers most interesting
points.  Comments, suggestions, or even rewrites of sections are VERY
WELCOME...

   LaCheck has been incorporated in the package.  The source code for
it is available in the directory `lacheck' along with the documentation
for it.  Lacheck may also be used from the command line.  It is bound to
`C-c $'.

   Some minor changes in:

`TeX-region'
     Should work better with `Master:' option.

`LaTeX-environment'
     Numerous new hooks added by Masayuki Kuwada.

`TeX-command-on-region'
     Removed. `C-c C-o' used for `outline-minor-mode' instead.


   And some additional minor fixes...

0.19 Ancient History
====================

The origin of AUC TeX is `tex-mode.el' from Emacs 16.  Lars Peter
Fischer `<fischer@iesd.auc.dk>' wrote the first functions to insert
font macros and Danish characters back in 1986.  Per Abrahamsen
`<abraham@iesd.auc.dk>' wrote the functions to insert environments and
sections, to indent the text, and the outline minor mode in 1987.
Kresten Krab Thorup `<krab@iesd.auc.dk>' wrote the buffer handling and
debugging functions, the macro completion, and much more, including
much improved indentation and text formatting functions.  He also made
the first public release in 1991, and was the main author and
coordinator of every release up to and including 6.0.

   Thanks should also go to all the people who have been a great help
developing the AUC TeX system.  Especially all the people on the
`auc-tex' mailing list, who have been very helpful commenting and
pointing out weak points and errors.

   Some of the contributors are listed below.  Others are mentioned in
the lisp files or in the History section.

`<dduchier@csi.UOttawa.CA>'
     Denys Duchier

`<ferguson@cs.rochester.edu>'
     George Ferguson

`<simons@ibiza.karlsruhe.gmd.de>'
     Martin Simons

`<smith@pell.anu.edu.au>'
     Michael Smith

`<per@iesd.auc.dk>'
     Per Hagen

`<handl@cs.uni-sb.de>'
     Ralf Handl

`<sven@tde.lth.se>'
     Sven Mattisson

`<kuwada@soliton.ee.uec.ac.jp>'
     Masayuki Kuwada

`<tb06@pl118f.cc.lehigh.edu>'
     Terrence Brannon

`<roseman@hustat.harvard.edu>'
     Leonard Roseman

   Special thanks to Leslie Lamport for supplying the source for the
LaTeX error messages in the `tex-dbg.el' file.

